# Ad Request

(all platforms) Trigger when: As Sponsored Product ad zone in SRP is within organic search result, it should be requested at the same time with organic search results request.

## Ad Request

<mark style="color:blue;">`GET`</mark> `https://d.ants.vn/api_zone/:zoneId.json?meta=category:11208&is_render_json=1&&visitor=abcdef&app_version=4.34.1&alc=app&client_ip=27.74.255.75`

This endpoint allows you to get ad request.

#### Path Parameters

| Name   | Type   | Description                                            |
| ------ | ------ | ------------------------------------------------------ |
| zoneId | number | <p>Id of requesting ad zone.<br>Sample: 3695999087</p> |

#### Query Parameters

| Name             | Type   | Description                                                                                               |
| ---------------- | ------ | --------------------------------------------------------------------------------------------------------- |
| client\_ip       | string | IP of client request                                                                                      |
| alc              | string | Value 'app' if platform is mobile app, else 'web' if platform is web.                                     |
| is\_render\_json | number | Default value: 1                                                                                          |
| meta             | string | Id of Primary category (category has closest level to the product) of the product that shopper is viewing |
| visitor          | string | Mobile app only. Device advertising id (AAID, IDFA,...)                                                   |
| app\_version     | string | to identify mobile app version                                                                            |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```javascript
{
  "id": "",
  "requestid": "",
  "data": {
    "adm": {
      "375x64": [
        {
          "crid": "3697014293",
          "cid": "3696978529",
          "ad": [
            {
              "id": "3697014293",
              "clickUrl": "//t.ants.vn/a3/c/?bc=0e13dc54f9,1571277022204,1572919489,10487538601,1,3695999087,638770403,1345134787,26307153,1,3697014293,3696978529,5,0_1&t_rls=3695999087-638770407-0-400&t_s=3695999087-3697014293-1345134787:1&t_kw=&t_z=&t_age=3695999087-3697014293-4:1.0&t_gd=3695999087-3697014293-1:1.0&t_tp=&t_itr=&t_imk=&t_rm=&c_tp=&c_itr=&c_imk=&c_rm=&ti_area=29:1:VN&ti_gd=1&ti_age=3&ti_pl=1&ti_nw=3G:Vinaphone::4&ti_dv=1:1:2:52:1:288796&aid=10487538601&cv=c41d430c&nspace=tiki&action_name=&timestamp=1572919489216&url=&urlref=&hostname=&gent=&format=18&template=0&res=&gd=1&loc=29-1-vn&device_model=desktop&redirect=http%3A%2F%2Ftiki.vn&render_type=1",
              "impUrl": "//t.ants.vn/a3/pi/?bc=0e13dc54f9,1571277022204,1572919489,10487538601,1,3695999087,638770403,1345134787,26307153,1,3697014293,3696978529,5,0_1&t_rls=3695999087-638770407-0-400&t_s=3695999087-3697014293-1345134787:1&t_kw=&t_z=&t_age=3695999087-3697014293-4:1.0&t_gd=3695999087-3697014293-1:1.0&t_tp=&t_itr=&t_imk=&t_rm=&c_tp=&c_itr=&c_imk=&c_rm=&ti_area=29:1:VN&ti_gd=1&ti_age=3&ti_pl=1&ti_nw=3G:Vinaphone::4&ti_dv=1:1:2:52:1:288796&timestamp=1572919489217&url=&urlref=&hostname=&format=18&template=0&res=&gd=1&loc=29-1-VN&skw=",
              "trueImpUrl": "//t.ants.vn/a3/ti/?bc=0e13dc54f9,1571277022204,1572919489,10487538601,1,3695999087,638770403,1345134787,26307153,1,3697014293,3696978529,5,0_1&t_rls=3695999087-638770407-0-400&t_s=3695999087-3697014293-1345134787:1&t_kw=&t_z=&t_age=3695999087-3697014293-4:1.0&t_gd=3695999087-3697014293-1:1.0&t_tp=&t_itr=&t_imk=&t_rm=&c_tp=&c_itr=&c_imk=&c_rm=&ti_area=29:1:VN&ti_gd=1&ti_age=3&ti_pl=1&ti_nw=3G:Vinaphone::4&ti_dv=1:1:2:52:1:288796&timestamp=1572919489217&url=&urlref=&hostname=&format=18&template=0&res=&gd=1&loc=29-1-VN&skw=",
              "properties": {
                "image": "//c0-vcdn.anthill.vn/images/2019/10/30/e308ac9aa590195a6eb47f87458c99f8.png"
              }
            }
          ]
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.ants.vn/tiki_ads/banner-in-pdp/banner-in-pdp-mobile-app.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
